el4r(1)

NAME
el4r - execute EmacsRuby scripts on new emacs el4r-runtest - unit test EmacsLisp/EmacsRuby scripts

SYNOPSIS
el4r [OPTION]... SCRIPT el4r-runtest [OPTION]... SCRIPT

The `el4r' command
`el4r' command invokes a new Emacs and execute the EmacsRuby script specified. The usage is almost the same as `el4r-runtest'.

Making regression tests with Test::Unit
There is a strong test environment named Test::Unit in one of the big advantages to use Ruby. The test program of EmacsLisp/EmacsRuby should independently start up Emacs. Because the operation of Emacs may influence the entire Emacs session, the malfunctioned test program can destroy the edit environment at the worst. Another Emacs session for the test enables you to test at ease because there is no adverse effect in the edit environment even though an accident happens there. I prepared a mini environment for the test for such reasons. el4r-runtest newly starts up Emacs, tests with Test::Unit(RUNIT), and displays the result.

OPTIONS
`el4r' and `el4r-runtest' share many options.

-Q, --init
    load site-start.el and .emacs

-b, --batch
    batch mode

-i  interactive mode

-e, --emacs=EMACS
    set emacs binary [default: ]

--ruby=RUBY
    set ruby binary [default: ]

-I load-path
    set load-path

-r, --el4r-root=DIR
    el4r package root directory [for debug]

-n, --name=NAME
    Runs tests matching NAME. (patterns may be used).

-t, --testcase=TESTCASE
    Runs tests in TestCases matching TESTCASE. (patterns may be used).

-v  verbose output

--nw
    don't communicate with X, ignoring $DISPLAY (emacs -nw)

-d, --debug
    debug output

-l, --log=LOGFILE
    Specify a log file.

--show
    Show the test information only, for diagnosis.

AUTHOR
Written by rubikitch.

REPORTING BUGS
Report bugs to <rubikitch@ruby-lang.org>

COPYRIGHT
Copyright (C) 2005,2006 rubikitch This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.